package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @Auther: wangjian
 * @Date: 2022/2/22 16:52
 * @Description:模型类型对象
 */
@Data
@Accessors(chain = true)
@TableName("ocp_model_group")
public class ModelType {

    /**
     * 模型分类编号
     */
    @TableId
    private String objId;

    /**
     * 模型分类名称
     */
    private String modelGroupName;

    /**
     * 上级模型分类编码
     */
    private String modelGroupPcode;

    /**
     * 分类版本
     */
    private String groupVersion;

    /**
     * 展示顺序
     */
    private String group;

    /**
     * 模型分类编码
     */
    private String modelGroupCode;

    /**
     * 模型表
     */
    private String modelTable;

    /**
     * 是否启用
     */
    private String isUse;


    /**
     * 模型推广类型
     * 0:统推,1：自建
     */
    private String modelPromotion;


    /**
     * 公司code
     */
    private String ownerCompanyCode;

    /**
     * 公司名称
     */
    private String ownerCompanyName;

    /**
     * 排列顺序
     */
    private String modelOrderNo;

    /**
     * 提交人id
     */
    private String modelUserId;


    /**
     * 提交人姓名
     */
    private String modelUserName;

}
